org.apache.hadoop.util

## Interface IPList

- All Known Implementing Classes:
    CacheableIPList, CombinedIPList, CombinedIPWhiteList, FileBasedIPList

      @InterfaceStability.Unstable
       @InterfaceAudience.Public
      public interface IPList

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIn(String ipAddress)` returns true if the ipAddress is in the IPList.

- - ### Method Detail

    - #### isIn

          boolean isIn(String ipAddress)

      returns true if the ipAddress is in the IPList.
      Parameters:
        `ipAddress` -
      Returns:
        boolean value indicating whether the ipAddress is in the IPList

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.